## fonts-noto-color-emoji 0~20180424

=== debian/changelog ===
fonts-noto-color-emoji (0~20180424-0ubuntu1) bionic; urgency=medium

  * New upstream release
    - Use toy squirt gun to represent the pistol emoji (LP: #1766736)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Apr 2018 19:12:19 -0400

fonts-noto-color-emoji (0~20180102-1) unstable; urgency=medium

  * New upstream release
    - Improved vertical text rendering. Updates to flags.
  * Add debian/source/lintian-overrides to ignore false positive
    for license-problem-gfdl-invariants
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Jan 2018 20:14:54 -0500

fonts-noto-color-emoji (0~20171204-1) unstable; urgency=medium

  * New upstream release with critical fixes to hamburger, beer,
    and cheese emoji 🍔

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Dec 2017 20:16:06 -0500

fonts-noto-color-emoji (0~20170913-2) unstable; urgency=medium

  * Install font to correct subdirectory

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Nov 2017 18:57:13 -0500

fonts-noto-color-emoji (0~20170913-1) unstable; urgency=low

  * Initial release. Closes: #849042

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Nov 2017 10:24:55 -0400
