=== debian/changelog ===
fonts-noto-color-emoji (0~20180810-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1788256)
    - This major update introduces support for the new Unicode 11 standard

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Oct 2018 21:50:35 -0400
