=== debian/changelog ===
fonts-noto-color-emoji (0~20200408-1) unstable; urgency=medium

  * New upstream release (LP: #1871791)
    - This update introduces support for Unicode 12.1 with new
      gender and hand-holding options for many characters.
      https://emojipedia.org/google/android-10.0-march-2020-feature-drop

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Apr 2020 07:20:27 -0400

fonts-noto-color-emoji (0~20191119-1) unstable; urgency=medium

  * New upstream release (Closes: #935951)
    - This major update introduces support for the Unicode 12 standard
  * Build-Depend on debhelper-compat 12
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 13:00:54 -0400

fonts-noto-color-emoji (0~20180810-1.1) unstable; urgency=medium

  * Change build-dependencies from python-nototools to python3-nototools
    (Closes: 943022)
  * Apply upstream patches for python 3 support.
  * Clean up __pycache__ in clean target.
  * Clean up third_party/color_emoji/__pycache__ in clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 21 Dec 2019 04:15:57 +0000

fonts-noto-color-emoji (0~20180810-1) unstable; urgency=medium

  * New upstream release (LP: #1788256)
    - This major update introduces support for the new Unicode 11 standard

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 15:26:49 -0400

fonts-noto-color-emoji (0~20180424-2) unstable; urgency=medium

  * Build all country flags instead of just the Android set.
    Some apps may not use the extra flags. See github #215

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 02 May 2018 14:49:48 -0400

fonts-noto-color-emoji (0~20180424-1) unstable; urgency=medium

  * New upstream release
    - Use toy squirt gun to represent the pistol emoji (LP: #1766736)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Apr 2018 19:10:46 -0400
