=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                fonttools,
                imagemagick,
                libcairo2-dev,
                libpng-dev,
                pkg-config,
                pngquant,
-               python-nototools,
+               python3-nototools,
                zopfli,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/
-Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git -b ubuntu/bionic
-Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji/tree/ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji
 
 Package: fonts-noto-color-emoji
 Architecture: all
