=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PNGQUANT=/usr/bin/pngquant

override_dh_install:
	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

override_dh_clean:
	dh_clean
	rm -f *pyc
	rm -rf __pycache__
	rm -rf third_party/color_emoji/__pycache__
