## fonts-noto-color-emoji 0~20200916

=== debian/changelog ===
fonts-noto-color-emoji (0~20200916-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1926047):
    Take advantage of ICU 66 supporting Unicode 13 to update the emoji font to
    the latest version, supporting various new characters.
  * debian/control: Downgrade build dependency on nototools 0.2.0
    It is not needed for the pure ttf generation from PNGs, while the version
    already available in focal is good enough for that.
    In fact using a more recent version of nototools (that contains the latest
    unicode data) would be needed only for a full build of the emoji package
    (that includes medatada such as html pages) or if the sequence check was
    enabled. This is not the case for us as we already explicitly disabled it
    in debian/rules.
  * debian/control: Switch maintainer to ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 25 Apr 2021 06:46:50 +0200

fonts-noto-color-emoji (0~20200916-1) unstable; urgency=medium

  * New upstream release
    - This major update introduces support for the Unicode 13.1 standard
      https://emojipedia.org/google/android-11.0/
      https://blog.emojipedia.org/217-new-emojis-in-final-list-for-2021/
  * Bump minimum python3-nototools to 0.2.13
  * Set required VIRTUAL_ENV variable when building the font
  * Bypass sequence checks when building
  * Add patch to make build more verbose (Closes: #923621)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 28 Sep 2020 20:56:03 -0400
