=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                fonttools,
@@ -10,7 +11,7 @@
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools,
+               python3-nototools (>= 0.2.0),
                zopfli,
 Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/
