=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- PNGQUANT=/usr/bin/pngquant
+	# The build requires a VIRTUAL_ENV variable 🤷
+	# sequence check isn't working
+	dh_auto_build -- \
+		PNGQUANT=/usr/bin/pngquant \
+		VIRTUAL_ENV=true \
+		BYPASS_SEQUENCE_CHECK=true
 
 override_dh_install:
 	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto
