## fonts-noto-color-emoji 2.028

=== debian/changelog ===
fonts-noto-color-emoji (2.028-1) unstable; urgency=medium

  * New upstream release
    - Happy World Emoji Day! 📅
    - This major update does not introduce new emoji, but revises almost
      1000 emoji
      https://emojipedia.org/google/android-12.0/
      https://blog.emojipedia.org/android-emoji-changelog-july-2021/
  * Don't build extra Windows-compatible version for now

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Jul 2021 13:30:32 -0400
