## fonts-noto-color-emoji 2.034

=== requirements.txt ===
fonttools>=4.7.0
notofonttools>=0.2.16
