=== debian/changelog ===
fonts-noto-color-emoji (2.034-1) unstable; urgency=medium

  * New upstream release
    - This major update introduces support for the Unicode 14 standard
      https://blog.emojipedia.org/google-emoji-14-0-changelog/
      https://emojipedia.org/google/android-12l/
  * debian/control: Bump minimum fonttools and nototools

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 12:45:02 -0500
