=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               fonttools,
+               fonttools (>= 4.7.0),
                imagemagick,
                libcairo2-dev,
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools (>= 0.2.0),
+               python3-nototools (>= 0.2.16),
                zopfli,
 Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/
