=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_build -- \
 		PNGQUANT=/usr/bin/pngquant \
 		VIRTUAL_ENV=true \
-		BYPASS_SEQUENCE_CHECK=true
+		BYPASS_SEQUENCE_CHECK=true \
+		NotoColorEmoji.ttf
 
 override_dh_install:
 	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto
