=== debian/watch ===
version=4
https://github.com/googlefonts/noto-emoji/releases \
 .*/v([0-9]\.[0-9a-z\-_]*)@ARCHIVE_EXT@
