## fonts-noto-color-emoji 2.038

=== requirements.txt ===
fonttools>=4.7.0
notofonttools>=0.2.17
nanoemoji >= 0.14.3
