=== debian/changelog ===
fonts-noto-color-emoji (2.038-1) unstable; urgency=medium

  * New upstream release (LP: #1989626)
    - This major update introduces support for the Unicode 15 standard
      https://blog.emojipedia.org/whats-new-in-unicode-15-0/
  * Bump minimum nototools
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 07:19:16 -0400
