=== debian/changelog ===
fonts-noto-color-emoji (2.042-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2045043)
    - This major update introduces support for the Unicode 15.1 standard
    https://blog.emojipedia.org/googles-emoji-15-1-support-in-noto-color-emoji/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 11:39:05 -0500
