=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
                fonttools (>= 4.7.0),
                imagemagick,
@@ -10,10 +11,10 @@
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools (>= 0.2.16),
+               python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.5.0
-Homepage: https://www.google.com/get/noto/help/emoji/
+Standards-Version: 4.6.1
+Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji
