=== debian/changelog ===
fonts-noto-color-emoji (2.047-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2083629)
    - This major update introduces support for the Unicode 16.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-16-0-support/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 17:00:27 -0500

fonts-noto-color-emoji (2.042-1) unstable; urgency=medium

  * New upstream release
    - Update flag for Martinique

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 11:34:59 -0500

fonts-noto-color-emoji (2.041-1) unstable; urgency=medium

  * New upstream release (LP: #2045043)
    - This major update introduces support for the Unicode 15.1 standard
    https://blog.emojipedia.org/googles-emoji-15-1-support-in-noto-color-emoji/
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Nov 2023 14:59:40 -0500
