=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pngquant,
                python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji
