=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/@PACKAGE@-$1.tar.gz/ \
https://github.com/googlefonts/noto-emoji/tags \
 .*/v([0-9]\.[0-9a-z\-_]*)@ARCHIVE_EXT@
