## fonts-noto-color-emoji 2.048

=== debian/changelog ===
fonts-noto-color-emoji (2.048-1) unstable; urgency=medium

  * New upstream release
    - Update the Syria flag

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 22 Jun 2025 17:10:32 -0400

fonts-noto-color-emoji (2.047-1) unstable; urgency=medium

  * New upstream release (LP: #2083629)
    - This major update introduces support for the Unicode 16.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-16-0-support/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Oct 2024 12:51:22 -0400
