## fonts-noto-color-emoji 2.051

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 LIMITED_FLAGS = CN DE ES FR GB IT JP KR RU US
 SELECTED_FLAGS = AC AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ \
 	BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BW BY BZ \
-	CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ \
+	CA CC CD CF CG CH CI CK CL CM CN CO CQ CR CU CV CW CX CY CZ \
 	DE DJ DK DM DO DZ \
 	EC EE EG EH ER ES ET EU \
 	FI FJ FK FM FO FR \
