=== requirements.txt ===
fonttools>=4.59.1
notofonttools>=0.3.2
nanoemoji >= 0.15.8
pytest>=8.4
