=== debian/changelog ===
fonts-noto-color-emoji (2.051-1) unstable; urgency=medium

  * New upstream release (Closes: #1115370)
    - This major update introduces support for the Unicode 17.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-17-0-support/
  * Bump debhelper compat to 13
  * Bump Standards Version to 4.7.2
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 22:41:24 -0400
