=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                fonttools (>= 4.7.0),
                imagemagick,
                libcairo2-dev,
@@ -12,7 +12,7 @@
                pngquant,
                python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji
