=== debian/watch ===
Version: 5
Template: GitHub
Owner: googlefonts
Project: noto-emoji
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v([0-9]\.[0-9a-z\-_]*)
